Appearance
ContactType
What a Contact is, such as architect or site manager, and the slots an assignment's contacts fill. Deactivate a type instead of removing it.
OpenAPI Spec
List ContactTypes
GET
/v2/contact-types
List ContactTypes
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Query Parameters
page
Type
number
Minimum
0Default
0size
Type
number
Minimum
1Maximum
20Default
10uuid
name
isSystem
deactivatedAt
createdAt
updatedAt
Responses
List response
application/json
JSON "page": 0, "pages": 0, "size": 10, "items": [ { "uuid": "string", "name": "string", "isSystem": true, "order": 0, "deactivatedAt": "string", "createdAt": "string", "updatedAt": "string" } ]
{
}
Create a new ContactType
POST
/v2/contact-types
Create a new ContactType
Authorizations
apiKey
Type
HTTP (bearer)
Request Body
application/json
JSON "uuid": "string", "name": "string", "order": 0, "deactivatedAt": "string"
{
}
Responses
ContactType found
application/json
JSON "uuid": "string", "name": "string", "isSystem": true, "order": 0, "deactivatedAt": "string", "createdAt": "string", "updatedAt": "string"
{
}
Get a ContactType
GET
/v2/contact-types/{contactTypeUuid}
Get a ContactType by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
contactTypeUuid*
Type
Requiredstring
Format
"uuid"Responses
ContactType found
application/json
JSON "uuid": "string", "name": "string", "isSystem": true, "order": 0, "deactivatedAt": "string", "createdAt": "string", "updatedAt": "string"
{
}
Update a ContactType
PATCH
/v2/contact-types/{contactTypeUuid}
Update a ContactType by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
contactTypeUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "name": "string", "order": 0, "deactivatedAt": "string"
{
}
Responses
ContactType found
application/json
JSON "uuid": "string", "name": "string", "isSystem": true, "order": 0, "deactivatedAt": "string", "createdAt": "string", "updatedAt": "string"
{
}